%define debug_package %{nil}

# Should always be 5
%define libstdc %mklibname stdc++ 5
# Should always be 3
%define libtiff %mklibname tiff 3

Summary:	Samsung Unified Linux Driver
Name:		samsung-unified-driver3
Version:	3.00.37
Release:	5
License:	Distributable
Group:		System/Printing
Url:		http://www.bchemnet.com/suldr/
Source0:	http://www.bchemnet.com/suldr/driver/UnifiedLinuxDriver-%{version}.tar.gz
Source1:	samsung-unified-printer-98_smfp_autoconf_samsung.rules
Source2:	samsung-unified-printer-99_smfp_autoconf_samsung.rules
Source100:	%{name}.rpmlintrc
Provides:	samsung-mfp = %{EVRD}
Requires:	cups
Conflicts:	samsung-unified-driver

%description
Samsung Unified Linux Driver.

%files
%{_bindir}/*
%{_prefix}/lib/libMFPPortPlugin.so*
%{_prefix}/lib/libPrinterPlugin.so*
%{_prefix}/lib/libScannerPlugin.so*
%{_libdir}/libmfp.so*
%{_libdir}/cups/filter/*
%{_datadir}/samsung-unified-driver3
%{_initrddir}/smfpd
%{_sysconfdir}/sane.d/dll.d/smfp
%{_sysconfdir}/udev/rules.d/98_smfpautoconf.rules
%{_sysconfdir}/udev/rules.d/99_smfpautoconf.rules
%{_sysconfdir}/sane.d/smfp.conf
%{_sbindir}/smfpd
%{_libdir}/cups/backend/mfp
%{_libdir}/sane/libsane-smfp.so*
%{_datadir}/cups/model
/opt/Samsung

#----------------------------------------------------------------------------

%package -n %{libstdc}
Summary:	stdc++5 shared library (compat)
Group:		System/Libraries
Conflicts:	%{name} < 3.00.37-3

%description -n %{libstdc}
stdc++5 shared library (compat).

%files -n %{libstdc}
%{_libdir}/libstdc++.so.5*

#----------------------------------------------------------------------------

%package -n %{libtiff}
Summary:	tiff3 shared library (compat)
Group:		System/Libraries
# For compat reasons
Provides:	libtiff = %{EVRD}
Conflicts:	%{name} < 3.00.37-3

%description -n %{libtiff}
tiff3 shared library (compat).

%files -n %{libtiff}
%{_libdir}/libtiff.so.3*

#----------------------------------------------------------------------------

%prep
%setup -q -c
find . -name *htm -exec chmod a-x {} \;
find . -name *htm -exec chmod a+r {} \;

%build

%install
install -d %{buildroot}%{_datadir}/%{name}
cp -a cdroot/Linux/noarch/at_root/* %{buildroot}/

install -d %{buildroot}%{_datadir}/cups/model/samsung/cms
cp -a cdroot/Linux/noarch/at_opt/share/ppd/cms/* %{buildroot}%{_datadir}/cups/model/samsung/cms/
cp -a cdroot/Linux/noarch/at_opt/share/ppd/*.ppd %{buildroot}%{_datadir}/cups/model/
find %{buildroot}%{_datadir}/cups/model/ -name "*.ppd" | xargs gzip -9
# cp -a cdroot/Linux/noarch/at_opt/share/locale %{buildroot}%{_datadir}
cp -a cdroot/Linux/noarch/at_opt/share/{doc,help,images,utils} %{buildroot}%{_datadir}/%{name}/

install -D -m0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/udev/rules.d/98_smfpautoconf.rules
install -D -m0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/udev/rules.d/99_smfpautoconf.rules

mkdir %{buildroot}%{_libdir}
pushd cdroot/Linux/noarch
%ifarch x86_64
for i in libstdc++-5-x86_64.tar.gz libtiff-3-x86_64.tar.gz
%else
for i in libstdc++-5-i386.tar.gz libtiff-3-i386.tar.gz
%endif
do
    tar xzf $i
    mv ./usr/lib*/* %{buildroot}/usr/lib*/
done
popd

%ifarch x86_64
cd cdroot/Linux/x86_64
%else
cd cdroot/Linux/i386
%endif

cp -a at_root/* %{buildroot}/
cp -a at_opt/* %{buildroot}%{_prefix}

ln -s libmfp.so.1.0.1 %{buildroot}%{_libdir}/libmfp.so.1
ln -s libmfp.so.1.0.1 %{buildroot}%{_libdir}/libmfp.so
ln -s libsane-smfp.1.0.1 %{buildroot}%{_libdir}/sane/libsane-smfp.so.1
ln -s libsane-smfp.so.1 %{buildroot}%{_libdir}/sane/libsane-smfp.so
install -d %{buildroot}%{_sysconfdir}/sane.d/dll.d
echo "smfp" >> %{buildroot}%{_sysconfdir}/sane.d/dll.d/smfp
chmod 644 %{buildroot}%{_sysconfdir}/sane.d/dll.d/smfp

install -d %{buildroot}%{_libdir}/cups/{backend,filter}

install -d %{buildroot}/opt/Samsung/mfp/{bin,share/images}

cd ../../..
install -m644 cdroot/Linux/OEM.ini %{buildroot}/opt/Samsung/mfp/share/OEM.ini
install -D -m755 cdroot/Linux/noarch/smfpd.sh %{buildroot}%{_initrddir}/smfpd

install -D -m0644 cdroot/Linux/noarch/at_opt/share/images/Configurator.png \
   %{buildroot}/opt/Samsung/mfp/share/images/Configurator.png

rm -rf %{buildroot}/usr/uninstall
rm -f %{buildroot}/usr/bin/gettext
rm -f %{buildroot}%{_datadir}/locale/fr/LC_MESSAGES/install.mo

rm -f %{buildroot}/opt/Samsung/mfp/bin/ImageManager*


%changelog

* Wed Feb 15 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3.00.37-5
- (17b04a2) MassBuild#1250: Increase release tag


